commit:     126642811ace579236768674c0801f920122c2bf
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 21 04:26:21 2016 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Apr 21 04:27:01 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12664281

dev-python/gcs-oauth2-boto-plugin: fix SocksiPy-branch reference for bug 577892

Package-Manager: portage-2.2.28

 .../gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.12.ebuild      | 7 +++++++
 .../gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.8-r1.ebuild    | 7 +++++++
 .../gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.9.ebuild       | 7 +++++++
 3 files changed, 21 insertions(+)

diff --git 
a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.12.ebuild 
b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.12.ebuild
index 5793ada..c4af2e6 100644
--- a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.12.ebuild
+++ b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.12.ebuild
@@ -32,3 +32,10 @@ RDEPEND="${PYTHON_DEPS}
        >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
        >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
        >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed \
+               -e '/SocksiPy-branch/d' \
+               -i setup.py || die
+}

diff --git 
a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.8-r1.ebuild 
b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.8-r1.ebuild
index 14c9634..293b176 100644
--- a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.8-r1.ebuild
+++ b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.8-r1.ebuild
@@ -30,3 +30,10 @@ RDEPEND="${PYTHON_DEPS}
        >=dev-python/google-api-python-client-1.1[${PYTHON_USEDEP}]
        >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
        >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed \
+               -e '/SocksiPy-branch/d' \
+               -i setup.py || die
+}

diff --git 
a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.9.ebuild 
b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.9.ebuild
index 6c00d4d..2b8dcab 100644
--- a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.9.ebuild
+++ b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-1.9.ebuild
@@ -30,3 +30,10 @@ RDEPEND="${PYTHON_DEPS}
        >=dev-python/google-api-python-client-1.1[${PYTHON_USEDEP}]
        >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
        >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed \
+               -e '/SocksiPy-branch/d' \
+               -i setup.py || die
+}

Reply via email to